/* $Header: /mit/hst/src/data/RCS/Parameter.h,v 1.1 90/08/18 18:30:38 tldavis Exp $
 * Parameter.h:  Timothy L. Davis, 1990
 *
 * Header for simulation parameter database and patient database routines.
 * These are defined in parameter.c, patient.c, and format.c
 * $Log:	Parameter.h,v $
 * Revision 1.1  90/08/18  18:30:38  tldavis
 * Initial revision
 * 
 */

/*
 * parameter.c public functions:
 */

extern void LoadParameterData(/* char *filename;*/);
extern SIMULATION *getsimulation(/* int pathology_number; */);
extern SIMULATION *setsimulation();
extern int var_in_bounds(/*int place, type, value;*/);
extern int *get_varlist(/*int place, device, dep;*/);
extern VarData *get_vardata(/*int place, type;*/);

/*
 * patient.c:  Predefined clinical patients with case history.
 * LoadPatient loads the patient simulation and returns the case history.
 */
extern char *LoadPatient(/*char *path;*/);

/*
 * format.c:  Formats the parameter list for printing.  Returns the list.
 * Parameters different fron default are marked as such.
 */
extern char *FormatParams(/* SIMULATION *presentsim, *defaultsim */);

